Method: networks.lineItems.batchCreate

Creates LineItem objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/lineItems:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where LineItems will be created. Format: networks/{networkCode} The parent field in the CreateLineItemRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateLineItemRequest)
    }
  ]
}
Fields
requests[]

object (CreateLineItemRequest)

Required. The LineItem objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for lineItems.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "lineItems": [
    {
      object (LineItem)
    }
  ]
}
Fields
lineItems[]

object (LineItem)

The LineItem objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateLineItemRequest

Request object for lineItems.create method.

JSON representation
{
  "parent": string,
  "lineItem": {
    object (LineItem)
  }
}
Fields
parent

string

Required. The parent resource where this LineItem will be created. Format: networks/{networkCode}

lineItem

object (LineItem)

Required. The LineItem to create.